> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a user

> The endpoint creates a user.



## OpenAPI

````yaml POST /v1/users/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/users/:
    parameters: []
    post:
      tags:
        - Users
      summary: Create a user
      description: The endpoint creates a user.
      operationId: v1_users_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplicantRequestCreate'
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Applicant'
        '400':
          description: HTTP 400 Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    ApplicantRequestCreate:
      type: object
      properties:
        external_user_id:
          description: External user id.
          type: string
          example: '12345'
        first_name:
          description: First name of the user.
          type: string
          example: John
        last_name:
          description: Last name of the user.
          type: string
          example: Doe
        email:
          description: User's email.
          type: string
          format: email
          example: john.doe@example.com
        phone:
          description: User's phone number.
          type: string
          example: '+14155554193'
        ssn:
          description: User's SSN.
          type: string
          example: '222233333'
      required:
        - external_user_id
        - first_name
        - last_name
    Applicant:
      required:
        - id
        - external_user_id
        - created_at
        - updated_at
      type: object
      properties:
        id:
          description: Unique identifier of the user.
          type: string
          readOnly: true
          maxLength: 32
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        external_user_id:
          description: External user id.
          type: string
          nullable: true
          example: '12345'
        first_name:
          description: First name of the user.
          type: string
          example: John
        last_name:
          description: Last name of the user.
          type: string
          example: Doe
        email:
          description: User's email.
          type: string
          format: email
          nullable: true
          example: john.doe@example.com
        phone:
          description: User's phone number.
          type: string
          nullable: true
          example: '+14155554193'
        ssn:
          description: User's SSN.
          type: string
          example: '222233333'
        created_at:
          description: Timestamp when the user was created.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T11:30:00Z'
        updated_at:
          description: Timestamp when the user was updated last time.
          type: string
          format: date-time
          readOnly: true
          example: '2022-05-04T12:00:00Z'
    Error400:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: incorrect_parameters
            message:
              description: ''
              type: string
              example: Incorrect request parameters
            extra:
              description: ''
              type: object
              properties:
                invalid-params:
                  description: ''
                  type: array
                  items:
                    description: ''
                    type: object
                    properties:
                      field:
                        description: ''
                        type: string
                        example: access_token
                      message:
                        description: ''
                        type: string
                        example: This field is required.
                  example:
                    - field: access_token
                      message: This field is required.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````